세그먼트 목록 조회
/crm-core/v1/segments계정(또는 워크스페이스)에 등록된 세그먼트(동적 레코드 집합) 목록을 조회합니다. 각 세그먼트는 개체(고객, 회사 등)에 속하며, 규칙 그룹(conditions)에 맞는 레코드를 실시간 또는 캐시로 제공합니다. priority 오름차순으로 정렬되며 최대 500건까지 반환합니다.
Query Params
Response
Structure
코드 예제
const crypto = require('crypto');
const apiKey = 'NCSXXXXXXXXXXXXX';
const apiSecret = 'YOUR_API_SECRET';
const dateTime = new Date().toISOString();
const salt = crypto.randomBytes(16).toString('hex');
const signature = crypto.createHmac('sha256', apiSecret).update(dateTime + salt).digest('hex');
const authHeader = HMAC-SHA256 apiKey=${apiKey}, date=${dateTime}, salt=${salt}, signature=${signature};
const response = await fetch('https://api.solapi.com/crm-core/v1/segments?entityId=CRMET1260423081530123XYZ11122233', {
method: 'GET',
headers: { 'Authorization': authHeader, 'Content-Type': 'application/json' }
});
const data = await response.json();
import hmac, hashlib, secrets, requests
from datetime import datetime, timezone
api_key = 'NCSXXXXXXXXXXXXX'
api_secret = 'YOUR_API_SECRET'
date_time = datetime.now(timezone.utc).strftime('%Y-%m-%dT%H:%M:%SZ')
salt = secrets.token_hex(16)
signature = hmac.new(api_secret.encode(), (date_time + salt).encode(), hashlib.sha256).hexdigest()
auth_header = f'HMAC-SHA256 apiKey={api_key}, date={date_time}, salt={salt}, signature={signature}'
response = requests.get('https://api.solapi.com/crm-core/v1/segments', headers={
'Authorization': auth_header,
'Content-Type': 'application/json'
}, params={'entityId': 'CRMET1260423081530123XYZ11122233'})
data = response.json()
API_KEY="NCSXXXXXXXXXXXXX"
API_SECRET="YOUR_API_SECRET"
DATE=$(date -u +"%Y-%m-%dT%H:%M:%SZ")
SALT=$(openssl rand -hex 16)
SIGNATURE=$(echo -n "${DATE}${SALT}" | openssl dgst -sha256 -hmac "${API_SECRET}" | awk '{print $NF}')
AUTH="HMAC-SHA256 apiKey=${API_KEY}, date=${DATE}, salt=${SALT}, signature=${SIGNATURE}"
curl -X GET 'https://api.solapi.com/crm-core/v1/segments?entityId=CRMET1260423081530123XYZ11122233' \
-H "Authorization: ${AUTH}" \
-H "Content-Type: application/json"
**401 응답**: `{ "errorCode": "Unauthorized", "errorMessage": "권한이 없습니다." }`